Bug 59774 - PHP 4.1.1 is missing some build dependencies
PHP 4.1.1 is missing some build dependencies
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-02-12 21:38 EST by Dag Wieers
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-12 21:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2002-02-12 21:38:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.3 (X11; Linux i686; U;) Gecko/20020205

Description of problem:
When trying to rebuild the source-package on a Red Hat 7.2, I had to install
more packages than needed by the build-dependencies.

Things that were missing are:

  + libstdc++-devel
  + curl >= 7.8.1 (and curl-devel equal or higher than 7.81)
  + db1-devel, db2-devel and/or db3-devel

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to install php-4.1.1 from Raw Hide on a RH 7.2 with all
build-dependencies fullfilled.

Actual Results:  Won't build ;-)
(Easy to fix)

Expected Results:  Build.

Additional info:
Comment 1 Phil Copeland 2002-02-13 11:25:06 EST
7.2... pfft,...
This one was built for the upcoming release, db 1,2,3 are all dead and are no
only db4 exists

as for the other two, there was a build requirement for it
	BuildPrereq: curl-devel >= 7.9
There should be a curl-7.9.2 in the tree, and what do you mean you didn't
install libstdc++-devel? 8) <slap> silly boy, disk is cheap 8)

In the next release I think you'll be forced to carry that anyway under the
guise of 'software development' as an install item

I'll eventually get around to a 7.2 update,.. someday,...


Note You need to log in before you can comment on or make changes to this bug.